Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlMainWidgetGraphicsView Class Reference

`#include <GlMainWidgetGraphicsView.h>`

Collaboration diagram for tlp::GlMainWidgetGraphicsView:

[legend]
List of all members.

## Detailed Description

Class use to create a QGraphicsView with GlMainWidget inside.

Use this class if you want a view with QGraphicsView system and if you want to render a GlMainWidget inside

## Public Member Functions

- GlMainWidgetGraphicsView (AbstractView *tulipView, QWidget *displayWidget, GlMainWidget *glMainWidget, GWOverviewWidget *overviewWidget=0, QAction *overviewAction=0, bool fullWindow=true)
- void draw (bool glSceneChanged=true)
- void redraw ()
- void addToTabWidget (const std::string &name, QWidget *widget)

## Protected Slots

- void hideOverview (bool)
- void setVisibleOverview (bool)

## Protected Member Functions

- void resizeEvent (QResizeEvent *event)

## Constructor & Destructor Documentation

tlp::GlMainWidgetGraphicsView::GlMainWidgetGraphicsView | ( | AbstractView * | tulipView,
|  | QWidget * | displayWidget,
|  | GlMainWidget * | glMainWidget,
|  | GWOverviewWidget * | overviewWidget = `0`,
|  | QAction * | overviewAction = `0`,
|  | bool | fullWindow = `true`
| ) |

Main constructor

Parameters:

  | tulipView | AbstractView use to display this QGraphicsView
  | displayWidget | widget where this view dis render
  | glMainWidget | GlMainWidget who will be add on this view
  | overviewGlMainWidget | overview GlMainWidget who will be add on this view

## Member Function Documentation

void tlp::GlMainWidgetGraphicsView::addToTabWidget | ( | const std::string & | name,
|  | QWidget * | widget
| ) |

| This function is use to add tab to integrate Tab display

void tlp::GlMainWidgetGraphicsView::draw | ( | bool | glSceneChanged = `true` | ) |

| This function is call when controller need to draw this view

void tlp::GlMainWidgetGraphicsView::hideOverview | ( | bool |  | ) | `[protected, slot]`

void tlp::GlMainWidgetGraphicsView::redraw | ( |  | ) |

| This function is call when controller need to redraw this view

void tlp::GlMainWidgetGraphicsView::resizeEvent | ( | QResizeEvent * | event | ) | `[protected]`

void tlp::GlMainWidgetGraphicsView::setVisibleOverview | ( | bool |  | ) | `[protected, slot]`

Tulip Software by LaBRI Visualization Team 2001 - 2010